Loading...
Searching...
No Matches
casacore::MSSelectionError Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSSelectionError.h>`

## Public Member Functions

| MSSelectionError (Category c=GENERAL)
| The default constructor generates the message "Table error".
void | changeMessage (String &message)
| Construct with given message.
void | addMessage (String &message)
void | reset ()
| MSSelectionError (const String &message, Category c=GENERAL)
| ~MSSelectionError () noexcept
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Public Attributes

Bool | hasMessage

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN

### Synopsis

The top-level generic MSSelection exception class. All exceptions thrown by the MSSelection and related classes are derived from this. Catching this class will catch only MSSelection exceptions (but all exceptions from the MSSelection line of classes). To catch more specific MSSelection exceptions, catch the derived classes. Note that you have to catch AipsError to catch all possible exceptions thrown by all of Casacore modules!

Definition at line 56 of file MSSelectionError.h.

## Constructor & Destructor Documentation

## MSSelectionError() [1/2]

casacore::MSSelectionError::MSSelectionError | ( | Category | c = GENERAL | ) |

The default constructor generates the message "Table error".

References casacore::AipsError::GENERAL.

## MSSelectionError() [2/2]

casacore::MSSelectionError::MSSelectionError | ( | const String & | message,
|  | Category | c = GENERAL )

References casacore::AipsError::GENERAL, and casacore::AipsError::message.

## ~MSSelectionError()

casacore::MSSelectionError::~MSSelectionError | ( |  | ) |

noexcept

## Member Function Documentation

## addMessage()

void casacore::MSSelectionError::addMessage | ( | String & | message | ) |

References casacore::AipsError::message.

Referenced by casacore::MSSelectionLogError::handleError().

## changeMessage()

void casacore::MSSelectionError::changeMessage | ( | String & | message | ) |

Construct with given message.

References casacore::AipsError::message.

## reset()

void casacore::MSSelectionError::reset | ( |  | ) |

inline

Definition at line 63 of file MSSelectionError.h.

References casacore::AipsError::message.

## Member Data Documentation

## hasMessage

Bool casacore::MSSelectionError::hasMessage

Definition at line 66 of file MSSelectionError.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelectionError.h